package cn.com.infosec.asn1.sec;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECConstants;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class SECNamedCurves$10 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      BigInteger var6 = SECNamedCurves.access$0("FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFE56D");
      BigInteger var1 = ECConstants.ZERO;
      BigInteger var2 = BigInteger.valueOf(5L);
      BigInteger var3 = SECNamedCurves.access$0("010000000000000000000000000001DCE8D2EC6184CAF0A971769FB1F7");
      BigInteger var4 = BigInteger.valueOf(1L);
      ECCurve.Fp var5;
      ECCurve.Fp var10000 = var5 = new ECCurve.Fp;
      var10000.<init>(var6, var1, var2);
      ECPoint var7 = var10000.decodePoint(Hex.decode("04A1455B334DF099DF30FC28A169A467E9E47075A90F7E650EB6B7A45C7E089FED7FBA344282CAFBD6F7E319F7C0B0BD59E2CA4BDB556D61A5"));
      return new X9ECParameters(var5, var7, var3, var4, (byte[])null);
   }
}
